Bug 248819 - Hard Drive speed with 2.6.22.1-15 test is 25x slower
Summary: Hard Drive speed with 2.6.22.1-15 test is 25x slower
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 6
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-18 23:19 UTC by James Hubbard
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-05 21:19:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of hdparm, lsmod, dmesg for 6.20 and 6.22.1-15 (58.93 KB, text/plain)
2007-07-18 23:19 UTC, James Hubbard
no flags Details

Description James Hubbard 2007-07-18 23:19:36 UTC
Description of problem:
Using the new 2.6.22.1-15 kernel makes my machine very slow.  Using hdparm, I
discovered the speed ~1.6 MB/sec vs ~49MB/sec with 2.6.20.

Version-Release number of selected component (if applicable):
kernel-2.6.22.1-15 Dell M65 

How reproducible:
Happens every time I boot the 2.6.22.1-15 kernel.

Steps to Reproduce:
1.Boot System
  
Actual results:
Under kernel 2.6.22.1-15 using:
hdparm -tT /dev/hda
/dev/hda:
 Timing cached reads:   11792 MB in  1.99 seconds = 5916.75 MB/sec
 Timing buffered disk reads:    6 MB in  3.54 seconds =   1.69 MB/sec

Expected results:
Under kernel 2.6.20-1.2962.fc6 using 
hdparm -tT /dev/sda
/dev/sda:
 Timing cached reads:   14492 MB in  1.99 seconds = 7273.03 MB/sec
 Timing buffered disk reads:  148 MB in  3.00 seconds =  49.27 MB/sec


Additional info:
I've tried the 2.6.22 kernel with  nohz=off highres=off, which doesn't make a
difference. 

I'm attaching the output of hdparm -tT /dev/xda, lsmod, and dmesg for both kernels. 

Here's the email to the test list where I reported the problem:
https://www.redhat.com/archives/fedora-test-list/2007-July/msg00372.html

Comment 1 James Hubbard 2007-07-18 23:19:37 UTC
Created attachment 159566 [details]
output of hdparm, lsmod, dmesg for 6.20 and 6.22.1-15

Comment 2 Chuck Ebbert 2007-07-19 15:26:14 UTC
This is really strange. In the FC6 2.6.20 kernels, the IDE driver does
not claim the drive; later on ata_piix gets control:

 Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
 ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
 ide0: I/O resource 0x1F0-0x1F7 not free.
 ide0: ports already in use, skipping probe

In 2.6.22, IDE does:

 Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
 ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
 Probing IDE interface ide0...
 Clocksource tsc unstable (delta = -101028827 ns)
 hda: Hitachi HTS721010G9SA00, ATA DISK drive

So what changed? The configuration looks the same, with IDE built in
and the ata driver as a module.


Comment 3 Alan Cox 2007-07-19 15:37:27 UTC
2.6.22 no longer includes the rather horrible combined mode hacks to allow split
driver support so you must use libata for both in those cases. With old IDE
loaded and libata modular old IDE will claim the device as a legacy device and
stop libata claiming it


Comment 4 Chuck Ebbert 2007-09-05 21:19:14 UTC
This should be fixed an all recent FC6 2.6.22 kernels. (The combined_mode code
was backported.)


Note You need to log in before you can comment on or make changes to this bug.